import { ServiceBase } from '../data/service-base';
import { AgGridView } from '../model/common-model';
export declare class AgGridViewService extends ServiceBase<AgGridView> {
    constructor();
    getAllFromModuleId(moduleId: string, currentUserId?: number, searchName?: string): Promise<Array<AgGridView>>;
    getAllFromModuleIdWithShared(moduleId: string, currentUserId?: number, searchName?: string): Promise<Array<AgGridView>>;
    getDefaultViewFromModuleId(moduleId: string): Promise<AgGridView>;
}
